For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Users
      • PUTUpdate User
      • DELDelete User
      • GETGet User By ID
Get supportSee a Demo
API ReferenceUsers

Update User

PUT
/v2/issuers/:organizationId/users/:userId
PUT
/v2/issuers/:organizationId/users/:userId
$curl -X PUT https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "type": "user",
> "attributes": {
> "enrolledRewards": [
> "CARDLINKED"
> ],
> "zipCode": "11238",
> "email": "user@example.com",
> "hashedEmail": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3e2d8a5b76e45a1d4c4e2e3a1",
> "phoneNumber": "+14155552671",
> "birthYear": "1990"
> },
> "id": "1234567890"
> }
>}'
1{
2 "data": {
3 "type": "user",
4 "attributes": {
5 "enrolledRewards": [
6 "CARDLINKED"
7 ],
8 "zipCode": "11238",
9 "email": "user@example.com",
10 "hashedEmail": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3e2d8a5b76e45a1d4c4e2e3a1",
11 "phoneNumber": "+14155552671",
12 "birthYear": "1990",
13 "historicalTransactionsSent": true
14 },
15 "id": "1234567890"
16 }
17}

Call this endpoint to update the details on a specified user.

Required scopes: user:update

Was this page helpful?
Previous

Delete User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system

Request

This endpoint expects an object.
dataobjectRequired

Response

This endpoint returns an object.
dataobject

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error